io.vertx.rxjava.ext.asyncsql

## Class AsyncSQLClient

- java.lang.Object
- - io.vertx.rxjava.ext.asyncsql.AsyncSQLClient

- Direct Known Subclasses:
    MySQLClient, PostgreSQLClient

      public class AsyncSQLClient
      extends Object

  Represents an asynchronous SQL client

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<AsyncSQLClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncSQLClient(AsyncSQLClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the client and release all resources.
    `void` | `close(Handler<AsyncResult<Void>> whenDone)` Close the client and release all resources.
    `rx.Observable<Void>` | `closeObservable()` Deprecated. use `rxClose()` instead
    `void` | `getConnection(Handler<AsyncResult<SQLConnection>> handler)` Returns a connection that can be used to perform SQL operations on.
    `rx.Observable<SQLConnection>` | `getConnectionObservable()` Deprecated. use `rxGetConnection()` instead
    `AsyncSQLClient` | `getDelegate()`
    `static AsyncSQLClient` | `newInstance(AsyncSQLClient arg)`
    `rx.Single<Void>` | `rxClose()` Close the client and release all resources.
    `rx.Single<SQLConnection>` | `rxGetConnection()` Returns a connection that can be used to perform SQL operations on.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<AsyncSQLClient> __TYPE_ARG

  - ### Constructor Detail

    - #### AsyncSQLClient

          public AsyncSQLClient(AsyncSQLClient delegate)

  - ### Method Detail

    - #### getDelegate

          public AsyncSQLClient getDelegate()

    - #### close

          public void close()

      Close the client and release all resources. Note that closing is asynchronous.

    - #### close

          public void close(Handler<AsyncResult<Void>> whenDone)

      Close the client and release all resources. Call the handler when close is complete.
      Parameters:
        `whenDone` - handler that will be called when close is complete

    - #### closeObservable

          @Deprecated
          public rx.Observable<Void> closeObservable()

      Deprecated. use `rxClose()` instead
      Close the client and release all resources. Call the handler when close is complete.
      Returns:

    - #### rxClose

          public rx.Single<Void> rxClose()

      Close the client and release all resources. Call the handler when close is complete.
      Returns:

    - #### getConnection

          public void getConnection(Handler<AsyncResult<SQLConnection>> handler)

      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.
      Parameters:
        `handler` - the handler which is called when the `JdbcConnection` object is ready for use.

    - #### getConnectionObservable

          @Deprecated
          public rx.Observable<SQLConnection> getConnectionObservable()

      Deprecated. use `rxGetConnection()` instead
      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.
      Returns:

    - #### rxGetConnection

          public rx.Single<SQLConnection> rxGetConnection()

      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.
      Returns:

    - #### newInstance

          public static AsyncSQLClient newInstance(AsyncSQLClient arg)

Copyright © 2017. All rights reserved.